Perlanet::Trait::OPML(3pm)

NAME
Perlanet::Trait::OPML - generate an OPML file

SYNOPSIS
  my $perlanet = Perlanet->new_with_traits(
    traits => [ 'Perlanet::Trait::OPML' ]
  );

  $perlanet->run;

DESCRIPTION
Generates an OPML file of all feeds that are being aggregated by the planet.

ATTRIBUTES

  opml_generator
An XML::OPML::SimpleGen object to generate the XML for the OPML file

  opml_file
Where to save the OPML feed when it has been created

METHODS

  update_opml
Updates the OPML file of all contributors to this planet. If the opml_file attribute does not have a value, this method does nothing, otherwise it inserts each author into the OPML file and saves it to disk.

  save_opml
Save the OPML file, by default to disk.

AUTHOR
Dave Cross, <dave@perlhacks.com>

COPYRIGHT AND LICENSE
Copyright (c) 2010 by Magnum Solutions Ltd.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.